/**************** (c) 1998  SGS-Thomson Microelectronics **********************

PROJECT  : ST72311
COMPILER : ST7 HICROSS C (HIWARE)

MODULE  :  itenviro.c
VERSION :  V 2.0

CREATION DATE :  27/03/98

AUTHOR : PPG 8-bit Micro Application Team 

-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-

DESCRIPTION :   Main Interrupt Service Routines
                
                This file can be used to describe all the interrupt subroutines
                that may occur within your application.
                As the routines' names are declared in the .prm file, when an interrupt
                happens, the software will branch automaticly to the corresponding routine
                according to the interrupt vector loaded in the PC register.
                For now, the routines are all empty as nothing special may occur in 
                the example's main program.
                It's better to create as many interrupt functions as necessary, ie for each 
                interrupt vector even if the routine is empty (iret). By doing this, you
                will prevent your software from branching to an undesired interrupt routine.
                
-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-

MODIFICATIONS :

******************************************************************************/

#include "map72311.h" 



#pragma TRAP_PROC SAVE_REGS
/*-----------------------------------------------------------------------------
ROUTINE NAME : dummy_rt
INPUT/OUTPUT : None

DESCRIPTION  : Empty Interrupt Service Routine

COMMENTS     : all the non-connected interrupt vectors are connected to this empty function
-----------------------------------------------------------------------------*/ 
void dummy_rt(void)
{
}

#pragma TRAP_PROC SAVE_REGS
/*-----------------------------------------------------------------------------
ROUTINE NAME : sw_rt
INPUT/OUTPUT : None

DESCRIPTION  : Software Interrupt Service Routine

COMMENTS     : 
-----------------------------------------------------------------------------*/ 
void sw_rt(void)
{
}

#pragma TRAP_PROC SAVE_REGS
/*-----------------------------------------------------------------------------
ROUTINE NAME : eit0_rt
INPUT/OUTPUT : None

DESCRIPTION  : 

COMMENTS     : 
-----------------------------------------------------------------------------*/ 
void eit0_rt(void)
{
}

#pragma TRAP_PROC SAVE_REGS
/*-----------------------------------------------------------------------------
ROUTINE NAME : eit1_rt
INPUT/OUTPUT : None

DESCRIPTION  : 

COMMENTS     : 
-----------------------------------------------------------------------------*/ 
void eit1_rt(void)
{
}

#pragma TRAP_PROC SAVE_REGS
/*-----------------------------------------------------------------------------
ROUTINE NAME : eit2_rt
INPUT/OUTPUT : None

DESCRIPTION  : 

COMMENTS     : 
-----------------------------------------------------------------------------*/ 
void eit2_rt(void)
{
}

#pragma TRAP_PROC SAVE_REGS
/*-----------------------------------------------------------------------------
ROUTINE NAME : eit3_rt
INPUT/OUTPUT : None

DESCRIPTION  : 

COMMENTS     : 
-----------------------------------------------------------------------------*/ 
void eit3_rt(void)
{
}

#pragma TRAP_PROC SAVE_REGS
/*-----------------------------------------------------------------------------
ROUTINE NAME : spi_rt
INPUT/OUTPUT : None

DESCRIPTION  : 

COMMENTS     : 
-----------------------------------------------------------------------------*/ 
void spi_rt(void)
{
}

#pragma TRAP_PROC SAVE_REGS
/*-----------------------------------------------------------------------------
ROUTINE NAME : tima_rt
INPUT/OUTPUT : None

DESCRIPTION  : timer A Interrupt Service Routine

COMMENTS     : 
-----------------------------------------------------------------------------*/ 
void tima_rt(void)
{
}

#pragma TRAP_PROC SAVE_REGS
/*-----------------------------------------------------------------------------
ROUTINE NAME : timb_rt
INPUT/OUTPUT : None

DESCRIPTION  : timer B Interrupt Service Routine

COMMENTS     : 
-----------------------------------------------------------------------------*/ 
void timb_rt(void)
{
}

#pragma TRAP_PROC SAVE_REGS
/*-----------------------------------------------------------------------------
ROUTINE NAME : sci_rt
INPUT/OUTPUT : None

DESCRIPTION  : SCI Interrupt Service Routine

COMMENTS     : 
-----------------------------------------------------------------------------*/ 
void sci_rt(void)
{
}


/*** (c) 1998  SGS-Thomson Microelectronics ****************** END OF FILE ***/
