/**************** (c) 1998  SGS-Thomson Microelectronics **********************

PROJECT  : ST72311J4/N4
COMPILER : ST7 HICROSS C (HIWARE)

MODULE  :  map72311.c
VERSION :  V 2.0

CREATION DATE :  27/03/98

AUTHOR : PPG 8-bit Micro Application Team 

-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-

DESCRIPTION : ST72311 Hardware Register Mapping.

              This file contains the description of the hardware registers of
              the ST72311 Microcontroller.
              
-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-

MODIFICATIONS :

******************************************************************************/




/* ***************************************
   Peripherals Registers Definition
   *************************************** */
                                   
                                   
                                                                  
/* I/O ports registers */ 
#pragma DATA_SEG SHORT PORT_A
  volatile unsigned char PADR;                /* port A data register             */          
  volatile unsigned char PADDR;               /* port A data direction register   */
  volatile unsigned char PAOR;                /* port A option register           */  
                                                     
#pragma DATA_SEG SHORT PORT_C
  volatile unsigned char PCDR;                /* port C data register             */          
  volatile unsigned char PCDDR;               /* port C data direction register   */
  volatile unsigned char PCOR;                /* port C option register           */
  
#pragma DATA_SEG SHORT PORT_B
  volatile unsigned char PBDR;                /* port B data register             */          
  volatile unsigned char PBDDR;               /* port B data direction register   */
  volatile unsigned char PBOR;                /* port B option register           */

#pragma DATA_SEG SHORT PORT_E
  volatile unsigned char PEDR;                /* port E data register             */          
  volatile unsigned char PEDDR;               /* port E data direction register   */
  volatile unsigned char PEOR;                /* port E option register           */

#pragma DATA_SEG SHORT PORT_D
  volatile unsigned char PDDR;                /* port D data register             */          
  volatile unsigned char PDDDR;               /* port D data direction register   */
  volatile unsigned char PDOR;                /* port D option register           */
  
#pragma DATA_SEG SHORT PORT_F
  volatile unsigned char PFDR;                /* port F data register             */          
  volatile unsigned char PFDDR;               /* port F data direction register   */
  volatile unsigned char PFOR;                /* port F option register           */
  
                                                                                                                                                           
/* Miscellaneous Register */                                                 
#pragma DATA_SEG SHORT MISC                                                  
  volatile unsigned char MISCR;               /* Miscellaneous register            */
   
/* Serial Peripheral Interface */                                            
#pragma DATA_SEG SHORT SPI
  volatile unsigned char SPIDR;               /* SPI Data Register                 */
  volatile unsigned char SPICR;               /* SPI Control Register              */
  volatile unsigned char SPISR;               /* SPI Status Register               */
 
/* Watchdog Register */                                                                        
#pragma DATA_SEG SHORT WDG                                                                     
  volatile unsigned char WDGCR;                /* Watchdog control register        */         
  volatile unsigned char WDGSR;                /* Watchdog status register         */
                            
/* Timer A */
#pragma DATA_SEG SHORT TIMERA
  volatile unsigned char TACR2;               /* timer A control register 2                 */
  volatile unsigned char TACR1;               /* timer A control register 1                 */
  volatile unsigned char TASR;                /* timer A status register                    */
  volatile unsigned char TAIC1HR;             /* timer A input capture 1 high register      */
  volatile unsigned char TAIC1LR;             /* timer A input capture 1 low register       */
  volatile unsigned char TAOC1HR;             /* timer A output compare 1 high register     */
  volatile unsigned char TAOC1LR;             /* timer A output compare 1 low register      */
  volatile unsigned char TACHR;               /* timer A counter high register              */
  volatile unsigned char TACLR;               /* timer A counter low register               */
  volatile unsigned char TAACHR;              /* timer A alternate counter high register    */
  volatile unsigned char TAACLR;              /* timer A alternate counter low register     */
  volatile unsigned char TAIC2HR;             /* timer A input capture 2 high register      */
  volatile unsigned char TAIC2LR;             /* timer A input capture 2 low register       */
  volatile unsigned char TAOC2HR;             /* timer A output compare 2 high register     */
  volatile unsigned char TAOC2LR;             /* timer A output compare 2 low register      */

/* Timer B */
#pragma DATA_SEG SHORT TIMERB
  volatile unsigned char TBCR2;               /* timer B control register 2                 */
  volatile unsigned char TBCR1;               /* timer B control register 1                 */
  volatile unsigned char TBSR;                /* timer B status register                    */
  volatile unsigned char TBIC1HR;             /* timer B input capture 1 high register      */
  volatile unsigned char TBIC1LR;             /* timer B input capture 1 low register       */
  volatile unsigned char TBOC1HR;             /* timer B output compare 1 high register     */
  volatile unsigned char TBOC1LR;             /* timer B output compare 1 low register      */
  volatile unsigned char TBCHR;               /* timer B counter high register              */
  volatile unsigned char TBCLR;               /* timer B counter low register               */
  volatile unsigned char TBACHR;              /* timer B alternate counter high register    */
  volatile unsigned char TBACLR;              /* timer B alternate counter low register     */
  volatile unsigned char TBIC2HR;             /* timer B input capture 2 high register      */
  volatile unsigned char TBIC2LR;             /* timer B input capture 2 low register       */
  volatile unsigned char TBOC2HR;             /* timer B output compare 2 high register     */
  volatile unsigned char TBOC2LR;             /* timer B output compare 2 low register      */

/* SCI Registers*/
#pragma DATA_SEG SHORT SCI
  volatile unsigned char SCISR;               /* SCI Status Register                         */
  volatile unsigned char SCIDR;               /* SCI Data Register                           */ 
  volatile unsigned char SCIBRR;              /* SCI Baud rate Register                      */
  volatile unsigned char SCICR1;              /* SCI Control Register 1                      */
  volatile unsigned char SCICR2;              /* SCI Control Register 2                      */
  volatile unsigned char SCIERPR;             /* SCI Extended receive prescaler register     */
  volatile unsigned char RESERV;              /* Reserved                                    */
  volatile unsigned char SCIETPR;             /* SCI Extended transmit prescaler register    */
 
/* Analog To Digital Converter */                                            
#pragma DATA_SEG SHORT ADC
  volatile unsigned char ADCDR;               /* ADC Data Register                 */
  volatile unsigned char ADCCSR;              /* ADC Control Status Register       */


/*** (c) 1998  SGS-Thomson Microelectronics ****************** END OF FILE ***/
